#import <Foundation/Foundation.h>
#import "OAIAnalyzeARecipeSearchQuery200Response.h"
#import "OAIAnalyzeRecipeInstructions200Response.h"
#import "OAIAutocompleteRecipeSearch200ResponseInner.h"
#import "OAIClassifyCuisine200Response.h"
#import "OAIComputeGlycemicLoad200Response.h"
#import "OAIComputeGlycemicLoadRequest.h"
#import "OAIConvertAmounts200Response.h"
#import "OAICreateRecipeCard200Response.h"
#import "OAIGetAnalyzedRecipeInstructions200Response.h"
#import "OAIGetRandomRecipes200Response.h"
#import "OAIGetRecipeEquipmentByID200Response.h"
#import "OAIGetRecipeInformation200Response.h"
#import "OAIGetRecipeInformationBulk200ResponseInner.h"
#import "OAIGetRecipeIngredientsByID200Response.h"
#import "OAIGetRecipeNutritionWidgetByID200Response.h"
#import "OAIGetRecipePriceBreakdownByID200Response.h"
#import "OAIGetRecipeTasteByID200Response.h"
#import "OAIGetSimilarRecipes200ResponseInner.h"
#import "OAIGuessNutritionByDishName200Response.h"
#import "OAIParseIngredients200ResponseInner.h"
#import "OAIQuickAnswer200Response.h"
#import "OAISearchRecipes200Response.h"
#import "OAISearchRecipesByIngredients200ResponseInner.h"
#import "OAISearchRecipesByNutrients200ResponseInner.h"
#import "OAISet.h"
#import "OAISummarizeRecipe200Response.h"
#import "OAIApi.h"

/**
* spoonacular API
* The spoonacular Nutrition, Recipe, and Food API allows you to access over thousands of recipes, thousands of ingredients, 800,000 food products, over 100,000 menu items, and restaurants. Our food ontology and semantic recipe search engine makes it possible to search for recipes using natural language queries, such as \"gluten free brownies without sugar\" or \"low fat vegan cupcakes.\" You can automatically calculate the nutritional information for any recipe, analyze recipe costs, visualize ingredient lists, find recipes for what's in your fridge, find recipes based on special diets, nutritional requirements, or favorite ingredients, classify recipes into types and cuisines, convert ingredient amounts, or even compute an entire meal plan. With our powerful API, you can create many kinds of food and especially nutrition apps.  Special diets/dietary requirements currently available include: vegan, vegetarian, pescetarian, gluten free, grain free, dairy free, high protein, whole 30, low sodium, low carb, Paleo, ketogenic, FODMAP, and Primal.
*
* The version of the OpenAPI document: 1.1
* Contact: mail@spoonacular.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIRecipesApi: NSObject <OAIApi>

extern NSString* kOAIRecipesApiErrorDomain;
extern NSInteger kOAIRecipesApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Analyze a Recipe Search Query
/// Parse a recipe search query to find out its intention.
///
/// @param q The recipe search query.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIAnalyzeARecipeSearchQuery200Response*
-(NSURLSessionTask*) analyzeARecipeSearchQueryWithQ: (NSString*) q
    completionHandler: (void (^)(OAIAnalyzeARecipeSearchQuery200Response* output, NSError* error)) handler;


/// Analyze Recipe Instructions
/// This endpoint allows you to break down instructions into atomic steps. Furthermore, each step will contain the ingredients and equipment required. Additionally, all ingredients and equipment from the recipe's instructions will be extracted independently of the step they're used in.
///
/// @param contentType The content type. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIAnalyzeRecipeInstructions200Response*
-(NSURLSessionTask*) analyzeRecipeInstructionsWithContentType: (NSString*) contentType
    completionHandler: (void (^)(OAIAnalyzeRecipeInstructions200Response* output, NSError* error)) handler;


/// Autocomplete Recipe Search
/// Autocomplete a partial input to suggest possible recipe names.
///
/// @param query The (natural language) search query. (optional)
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAIAutocompleteRecipeSearch200ResponseInner>*
-(NSURLSessionTask*) autocompleteRecipeSearchWithQuery: (NSString*) query
    number: (NSNumber*) number
    completionHandler: (void (^)(OAISet<OAIAutocompleteRecipeSearch200ResponseInner>* output, NSError* error)) handler;


/// Classify Cuisine
/// Classify the recipe's cuisine.
///
/// @param contentType The content type. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIClassifyCuisine200Response*
-(NSURLSessionTask*) classifyCuisineWithContentType: (NSString*) contentType
    completionHandler: (void (^)(OAIClassifyCuisine200Response* output, NSError* error)) handler;


/// Compute Glycemic Load
/// Retrieve the glycemic index for a list of ingredients and compute the individual and total glycemic load.
///
/// @param computeGlycemicLoadRequest 
/// @param language The language of the input. Either &#39;en&#39; or &#39;de&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIComputeGlycemicLoad200Response*
-(NSURLSessionTask*) computeGlycemicLoadWithComputeGlycemicLoadRequest: (OAIComputeGlycemicLoadRequest*) computeGlycemicLoadRequest
    language: (NSString*) language
    completionHandler: (void (^)(OAIComputeGlycemicLoad200Response* output, NSError* error)) handler;


/// Convert Amounts
/// Convert amounts like \"2 cups of flour to grams\".
///
/// @param ingredientName The ingredient which you want to convert.
/// @param sourceAmount The amount from which you want to convert, e.g. the 2.5 in \&quot;2.5 cups of flour to grams\&quot;.
/// @param sourceUnit The unit from which you want to convert, e.g. the grams in \&quot;2.5 cups of flour to grams\&quot;. You can also use \&quot;piece\&quot;, e.g. \&quot;3.4 oz tomatoes to piece\&quot;
/// @param targetUnit The unit to which you want to convert, e.g. the grams in \&quot;2.5 cups of flour to grams\&quot;. You can also use \&quot;piece\&quot;, e.g. \&quot;3.4 oz tomatoes to piece\&quot;
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIConvertAmounts200Response*
-(NSURLSessionTask*) convertAmountsWithIngredientName: (NSString*) ingredientName
    sourceAmount: (NSNumber*) sourceAmount
    sourceUnit: (NSString*) sourceUnit
    targetUnit: (NSString*) targetUnit
    completionHandler: (void (^)(OAIConvertAmounts200Response* output, NSError* error)) handler;


/// Create Recipe Card
/// Generate a recipe card for a recipe.
///
/// @param contentType The content type. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAICreateRecipeCard200Response*
-(NSURLSessionTask*) createRecipeCardWithContentType: (NSString*) contentType
    completionHandler: (void (^)(OAICreateRecipeCard200Response* output, NSError* error)) handler;


/// Equipment by ID Image
/// Visualize a recipe's equipment list as an image.
///
/// @param _id The recipe id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) equipmentByIDImageWithId: (NSNumber*) _id
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Extract Recipe from Website
/// This endpoint lets you extract recipe data such as title, ingredients, and instructions from any properly formatted Website.
///
/// @param url The URL of the recipe page.
/// @param forceExtraction If true, the extraction will be triggered whether we already know the recipe or not. Use this only if information is missing as this operation is slower. (optional)
/// @param analyze If true, the recipe will be analyzed and classified resolving in more data such as cuisines, dish types, and more. (optional)
/// @param includeNutrition Include nutrition data in the recipe information. Nutrition data is per serving. If you want the nutrition data for the entire recipe, just multiply by the number of servings. (optional) (default to @(NO))
/// @param includeTaste Whether taste data should be added to correctly parsed ingredients. (optional) (default to @(NO))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeInformation200Response*
-(NSURLSessionTask*) extractRecipeFromWebsiteWithUrl: (NSString*) url
    forceExtraction: (NSNumber*) forceExtraction
    analyze: (NSNumber*) analyze
    includeNutrition: (NSNumber*) includeNutrition
    includeTaste: (NSNumber*) includeTaste
    completionHandler: (void (^)(OAIGetRecipeInformation200Response* output, NSError* error)) handler;


/// Get Analyzed Recipe Instructions
/// Get an analyzed breakdown of a recipe's instructions. Each step is enriched with the ingredients and equipment required.
///
/// @param _id The item&#39;s id.
/// @param stepBreakdown Whether to break down the recipe steps even more. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetAnalyzedRecipeInstructions200Response*
-(NSURLSessionTask*) getAnalyzedRecipeInstructionsWithId: (NSNumber*) _id
    stepBreakdown: (NSNumber*) stepBreakdown
    completionHandler: (void (^)(OAIGetAnalyzedRecipeInstructions200Response* output, NSError* error)) handler;


/// Get Random Recipes
/// Find random (popular) recipes. If you need to filter recipes by diet, nutrition etc. you might want to consider using the complex recipe search endpoint and set the sort request parameter to random.
///
/// @param limitLicense Whether the recipes should have an open license that allows display with proper attribution. (optional) (default to @(YES))
/// @param tags The tags (can be diets, meal types, cuisines, or intolerances) that the recipe must have. (optional)
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRandomRecipes200Response*
-(NSURLSessionTask*) getRandomRecipesWithLimitLicense: (NSNumber*) limitLicense
    tags: (NSString*) tags
    number: (NSNumber*) number
    completionHandler: (void (^)(OAIGetRandomRecipes200Response* output, NSError* error)) handler;


/// Equipment by ID
/// Get a recipe's equipment list.
///
/// @param _id The item&#39;s id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeEquipmentByID200Response*
-(NSURLSessionTask*) getRecipeEquipmentByIDWithId: (NSNumber*) _id
    completionHandler: (void (^)(OAIGetRecipeEquipmentByID200Response* output, NSError* error)) handler;


/// Get Recipe Information
/// Use a recipe id to get full information about a recipe, such as ingredients, nutrition, diet and allergen information, etc.
///
/// @param _id The item&#39;s id.
/// @param includeNutrition Include nutrition data in the recipe information. Nutrition data is per serving. If you want the nutrition data for the entire recipe, just multiply by the number of servings. (optional) (default to @(NO))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeInformation200Response*
-(NSURLSessionTask*) getRecipeInformationWithId: (NSNumber*) _id
    includeNutrition: (NSNumber*) includeNutrition
    completionHandler: (void (^)(OAIGetRecipeInformation200Response* output, NSError* error)) handler;


/// Get Recipe Information Bulk
/// Get information about multiple recipes at once. This is equivalent to calling the Get Recipe Information endpoint multiple times, but faster.
///
/// @param ids A comma-separated list of recipe ids.
/// @param includeNutrition Include nutrition data in the recipe information. Nutrition data is per serving. If you want the nutrition data for the entire recipe, just multiply by the number of servings. (optional) (default to @(NO))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAIGetRecipeInformationBulk200ResponseInner>*
-(NSURLSessionTask*) getRecipeInformationBulkWithIds: (NSString*) ids
    includeNutrition: (NSNumber*) includeNutrition
    completionHandler: (void (^)(OAISet<OAIGetRecipeInformationBulk200ResponseInner>* output, NSError* error)) handler;


/// Ingredients by ID
/// Get a recipe's ingredient list.
///
/// @param _id The item&#39;s id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeIngredientsByID200Response*
-(NSURLSessionTask*) getRecipeIngredientsByIDWithId: (NSNumber*) _id
    completionHandler: (void (^)(OAIGetRecipeIngredientsByID200Response* output, NSError* error)) handler;


/// Nutrition by ID
/// Get a recipe's nutrition data.
///
/// @param _id The item&#39;s id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeNutritionWidgetByID200Response*
-(NSURLSessionTask*) getRecipeNutritionWidgetByIDWithId: (NSNumber*) _id
    completionHandler: (void (^)(OAIGetRecipeNutritionWidgetByID200Response* output, NSError* error)) handler;


/// Price Breakdown by ID
/// Get a recipe's price breakdown data.
///
/// @param _id The item&#39;s id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipePriceBreakdownByID200Response*
-(NSURLSessionTask*) getRecipePriceBreakdownByIDWithId: (NSNumber*) _id
    completionHandler: (void (^)(OAIGetRecipePriceBreakdownByID200Response* output, NSError* error)) handler;


/// Taste by ID
/// Get a recipe's taste. The tastes supported are sweet, salty, sour, bitter, savory, and fatty.
///
/// @param _id The item&#39;s id.
/// @param normalize Normalize to the strongest taste. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGetRecipeTasteByID200Response*
-(NSURLSessionTask*) getRecipeTasteByIDWithId: (NSNumber*) _id
    normalize: (NSNumber*) normalize
    completionHandler: (void (^)(OAIGetRecipeTasteByID200Response* output, NSError* error)) handler;


/// Get Similar Recipes
/// Find recipes which are similar to the given one.
///
/// @param _id The item&#39;s id.
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// @param limitLicense Whether the recipes should have an open license that allows display with proper attribution. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAIGetSimilarRecipes200ResponseInner>*
-(NSURLSessionTask*) getSimilarRecipesWithId: (NSNumber*) _id
    number: (NSNumber*) number
    limitLicense: (NSNumber*) limitLicense
    completionHandler: (void (^)(OAISet<OAIGetSimilarRecipes200ResponseInner>* output, NSError* error)) handler;


/// Guess Nutrition by Dish Name
/// Estimate the macronutrients of a dish based on its title.
///
/// @param title The title of the dish.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIGuessNutritionByDishName200Response*
-(NSURLSessionTask*) guessNutritionByDishNameWithTitle: (NSString*) title
    completionHandler: (void (^)(OAIGuessNutritionByDishName200Response* output, NSError* error)) handler;


/// Ingredients by ID Image
/// Visualize a recipe's ingredient list.
///
/// @param _id The recipe id.
/// @param measure Whether the the measures should be &#39;us&#39; or &#39;metric&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) ingredientsByIDImageWithId: (NSNumber*) _id
    measure: (NSString*) measure
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Parse Ingredients
/// Extract an ingredient from plain text.
///
/// @param contentType The content type. (optional)
/// @param language The language of the input. Either &#39;en&#39; or &#39;de&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAIParseIngredients200ResponseInner>*
-(NSURLSessionTask*) parseIngredientsWithContentType: (NSString*) contentType
    language: (NSString*) language
    completionHandler: (void (^)(OAISet<OAIParseIngredients200ResponseInner>* output, NSError* error)) handler;


/// Price Breakdown by ID Image
/// Visualize a recipe's price breakdown.
///
/// @param _id The recipe id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) priceBreakdownByIDImageWithId: (NSNumber*) _id
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Quick Answer
/// Answer a nutrition related natural language question.
///
/// @param q The nutrition related question.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAIQuickAnswer200Response*
-(NSURLSessionTask*) quickAnswerWithQ: (NSString*) q
    completionHandler: (void (^)(OAIQuickAnswer200Response* output, NSError* error)) handler;


/// Recipe Nutrition by ID Image
/// Visualize a recipe's nutritional information as an image.
///
/// @param _id The recipe id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) recipeNutritionByIDImageWithId: (NSNumber*) _id
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Recipe Nutrition Label Image
/// Get a recipe's nutrition label as an image.
///
/// @param _id The recipe id.
/// @param showOptionalNutrients Whether to show optional nutrients. (optional)
/// @param showZeroValues Whether to show zero values. (optional)
/// @param showIngredients Whether to show a list of ingredients. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) recipeNutritionLabelImageWithId: (NSNumber*) _id
    showOptionalNutrients: (NSNumber*) showOptionalNutrients
    showZeroValues: (NSNumber*) showZeroValues
    showIngredients: (NSNumber*) showIngredients
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Recipe Nutrition Label Widget
/// Get a recipe's nutrition label as an HTML widget.
///
/// @param _id The recipe id.
/// @param defaultCss Whether the default CSS should be added to the response. (optional) (default to @(YES))
/// @param showOptionalNutrients Whether to show optional nutrients. (optional)
/// @param showZeroValues Whether to show zero values. (optional)
/// @param showIngredients Whether to show a list of ingredients. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) recipeNutritionLabelWidgetWithId: (NSNumber*) _id
    defaultCss: (NSNumber*) defaultCss
    showOptionalNutrients: (NSNumber*) showOptionalNutrients
    showZeroValues: (NSNumber*) showZeroValues
    showIngredients: (NSNumber*) showIngredients
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Recipe Taste by ID Image
/// Get a recipe's taste as an image. The tastes supported are sweet, salty, sour, bitter, savory, and fatty.
///
/// @param _id The recipe id.
/// @param normalize Normalize to the strongest taste. (optional)
/// @param rgb Red, green, blue values for the chart color. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSObject*
-(NSURLSessionTask*) recipeTasteByIDImageWithId: (NSNumber*) _id
    normalize: (NSNumber*) normalize
    rgb: (NSString*) rgb
    completionHandler: (void (^)(NSObject* output, NSError* error)) handler;


/// Search Recipes
/// Search through hundreds of thousands of recipes using advanced filtering and ranking. NOTE: This method combines searching by query, by ingredients, and by nutrients into one endpoint.
///
/// @param query The (natural language) search query. (optional)
/// @param cuisine The cuisine(s) of the recipes. One or more, comma separated (will be interpreted as &#39;OR&#39;). See a full list of supported cuisines. (optional)
/// @param excludeCuisine The cuisine(s) the recipes must not match. One or more, comma separated (will be interpreted as &#39;AND&#39;). See a full list of supported cuisines. (optional)
/// @param diet The diet for which the recipes must be suitable. See a full list of supported diets. (optional)
/// @param intolerances A comma-separated list of intolerances. All recipes returned must not contain ingredients that are not suitable for people with the intolerances entered. See a full list of supported intolerances. (optional)
/// @param equipment The equipment required. Multiple values will be interpreted as &#39;or&#39;. For example, value could be \&quot;blender, frying pan, bowl\&quot;. (optional)
/// @param includeIngredients A comma-separated list of ingredients that should/must be used in the recipes. (optional)
/// @param excludeIngredients A comma-separated list of ingredients or ingredient types that the recipes must not contain. (optional)
/// @param type The type of recipe. See a full list of supported meal types. (optional)
/// @param instructionsRequired Whether the recipes must have instructions. (optional)
/// @param fillIngredients Add information about the ingredients and whether they are used or missing in relation to the query. (optional)
/// @param addRecipeInformation If set to true, you get more information about the recipes returned. (optional)
/// @param addRecipeNutrition If set to true, you get nutritional information about each recipes returned. (optional)
/// @param author The username of the recipe author. (optional)
/// @param tags The tags (can be diets, meal types, cuisines, or intolerances) that the recipe must have. (optional)
/// @param recipeBoxId The id of the recipe box to which the search should be limited to. (optional)
/// @param titleMatch Enter text that must be found in the title of the recipes. (optional)
/// @param maxReadyTime The maximum time in minutes it should take to prepare and cook the recipe. (optional)
/// @param ignorePantry Whether to ignore typical pantry items, such as water, salt, flour, etc. (optional) (default to @(NO))
/// @param sort The strategy to sort recipes by. See a full list of supported sorting options. (optional)
/// @param sortDirection The direction in which to sort. Must be either &#39;asc&#39; (ascending) or &#39;desc&#39; (descending). (optional)
/// @param minCarbs The minimum amount of carbohydrates in grams the recipe must have. (optional)
/// @param maxCarbs The maximum amount of carbohydrates in grams the recipe can have. (optional)
/// @param minProtein The minimum amount of protein in grams the recipe must have. (optional)
/// @param maxProtein The maximum amount of protein in grams the recipe can have. (optional)
/// @param minCalories The minimum amount of calories the recipe must have. (optional)
/// @param maxCalories The maximum amount of calories the recipe can have. (optional)
/// @param minFat The minimum amount of fat in grams the recipe must have. (optional)
/// @param maxFat The maximum amount of fat in grams the recipe can have. (optional)
/// @param minAlcohol The minimum amount of alcohol in grams the recipe must have. (optional)
/// @param maxAlcohol The maximum amount of alcohol in grams the recipe can have. (optional)
/// @param minCaffeine The minimum amount of caffeine in milligrams the recipe must have. (optional)
/// @param maxCaffeine The maximum amount of caffeine in milligrams the recipe can have. (optional)
/// @param minCopper The minimum amount of copper in milligrams the recipe must have. (optional)
/// @param maxCopper The maximum amount of copper in milligrams the recipe can have. (optional)
/// @param minCalcium The minimum amount of calcium in milligrams the recipe must have. (optional)
/// @param maxCalcium The maximum amount of calcium in milligrams the recipe can have. (optional)
/// @param minCholine The minimum amount of choline in milligrams the recipe must have. (optional)
/// @param maxCholine The maximum amount of choline in milligrams the recipe can have. (optional)
/// @param minCholesterol The minimum amount of cholesterol in milligrams the recipe must have. (optional)
/// @param maxCholesterol The maximum amount of cholesterol in milligrams the recipe can have. (optional)
/// @param minFluoride The minimum amount of fluoride in milligrams the recipe must have. (optional)
/// @param maxFluoride The maximum amount of fluoride in milligrams the recipe can have. (optional)
/// @param minSaturatedFat The minimum amount of saturated fat in grams the recipe must have. (optional)
/// @param maxSaturatedFat The maximum amount of saturated fat in grams the recipe can have. (optional)
/// @param minVitaminA The minimum amount of Vitamin A in IU the recipe must have. (optional)
/// @param maxVitaminA The maximum amount of Vitamin A in IU the recipe can have. (optional)
/// @param minVitaminC The minimum amount of Vitamin C milligrams the recipe must have. (optional)
/// @param maxVitaminC The maximum amount of Vitamin C in milligrams the recipe can have. (optional)
/// @param minVitaminD The minimum amount of Vitamin D in micrograms the recipe must have. (optional)
/// @param maxVitaminD The maximum amount of Vitamin D in micrograms the recipe can have. (optional)
/// @param minVitaminE The minimum amount of Vitamin E in milligrams the recipe must have. (optional)
/// @param maxVitaminE The maximum amount of Vitamin E in milligrams the recipe can have. (optional)
/// @param minVitaminK The minimum amount of Vitamin K in micrograms the recipe must have. (optional)
/// @param maxVitaminK The maximum amount of Vitamin K in micrograms the recipe can have. (optional)
/// @param minVitaminB1 The minimum amount of Vitamin B1 in milligrams the recipe must have. (optional)
/// @param maxVitaminB1 The maximum amount of Vitamin B1 in milligrams the recipe can have. (optional)
/// @param minVitaminB2 The minimum amount of Vitamin B2 in milligrams the recipe must have. (optional)
/// @param maxVitaminB2 The maximum amount of Vitamin B2 in milligrams the recipe can have. (optional)
/// @param minVitaminB5 The minimum amount of Vitamin B5 in milligrams the recipe must have. (optional)
/// @param maxVitaminB5 The maximum amount of Vitamin B5 in milligrams the recipe can have. (optional)
/// @param minVitaminB3 The minimum amount of Vitamin B3 in milligrams the recipe must have. (optional)
/// @param maxVitaminB3 The maximum amount of Vitamin B3 in milligrams the recipe can have. (optional)
/// @param minVitaminB6 The minimum amount of Vitamin B6 in milligrams the recipe must have. (optional)
/// @param maxVitaminB6 The maximum amount of Vitamin B6 in milligrams the recipe can have. (optional)
/// @param minVitaminB12 The minimum amount of Vitamin B12 in micrograms the recipe must have. (optional)
/// @param maxVitaminB12 The maximum amount of Vitamin B12 in micrograms the recipe can have. (optional)
/// @param minFiber The minimum amount of fiber in grams the recipe must have. (optional)
/// @param maxFiber The maximum amount of fiber in grams the recipe can have. (optional)
/// @param minFolate The minimum amount of folate in micrograms the recipe must have. (optional)
/// @param maxFolate The maximum amount of folate in micrograms the recipe can have. (optional)
/// @param minFolicAcid The minimum amount of folic acid in micrograms the recipe must have. (optional)
/// @param maxFolicAcid The maximum amount of folic acid in micrograms the recipe can have. (optional)
/// @param minIodine The minimum amount of iodine in micrograms the recipe must have. (optional)
/// @param maxIodine The maximum amount of iodine in micrograms the recipe can have. (optional)
/// @param minIron The minimum amount of iron in milligrams the recipe must have. (optional)
/// @param maxIron The maximum amount of iron in milligrams the recipe can have. (optional)
/// @param minMagnesium The minimum amount of magnesium in milligrams the recipe must have. (optional)
/// @param maxMagnesium The maximum amount of magnesium in milligrams the recipe can have. (optional)
/// @param minManganese The minimum amount of manganese in milligrams the recipe must have. (optional)
/// @param maxManganese The maximum amount of manganese in milligrams the recipe can have. (optional)
/// @param minPhosphorus The minimum amount of phosphorus in milligrams the recipe must have. (optional)
/// @param maxPhosphorus The maximum amount of phosphorus in milligrams the recipe can have. (optional)
/// @param minPotassium The minimum amount of potassium in milligrams the recipe must have. (optional)
/// @param maxPotassium The maximum amount of potassium in milligrams the recipe can have. (optional)
/// @param minSelenium The minimum amount of selenium in micrograms the recipe must have. (optional)
/// @param maxSelenium The maximum amount of selenium in micrograms the recipe can have. (optional)
/// @param minSodium The minimum amount of sodium in milligrams the recipe must have. (optional)
/// @param maxSodium The maximum amount of sodium in milligrams the recipe can have. (optional)
/// @param minSugar The minimum amount of sugar in grams the recipe must have. (optional)
/// @param maxSugar The maximum amount of sugar in grams the recipe can have. (optional)
/// @param minZinc The minimum amount of zinc in milligrams the recipe must have. (optional)
/// @param maxZinc The maximum amount of zinc in milligrams the recipe can have. (optional)
/// @param offset The number of results to skip (between 0 and 900). (optional)
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// @param limitLicense Whether the recipes should have an open license that allows display with proper attribution. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISearchRecipes200Response*
-(NSURLSessionTask*) searchRecipesWithQuery: (NSString*) query
    cuisine: (NSString*) cuisine
    excludeCuisine: (NSString*) excludeCuisine
    diet: (NSString*) diet
    intolerances: (NSString*) intolerances
    equipment: (NSString*) equipment
    includeIngredients: (NSString*) includeIngredients
    excludeIngredients: (NSString*) excludeIngredients
    type: (NSString*) type
    instructionsRequired: (NSNumber*) instructionsRequired
    fillIngredients: (NSNumber*) fillIngredients
    addRecipeInformation: (NSNumber*) addRecipeInformation
    addRecipeNutrition: (NSNumber*) addRecipeNutrition
    author: (NSString*) author
    tags: (NSString*) tags
    recipeBoxId: (NSNumber*) recipeBoxId
    titleMatch: (NSString*) titleMatch
    maxReadyTime: (NSNumber*) maxReadyTime
    ignorePantry: (NSNumber*) ignorePantry
    sort: (NSString*) sort
    sortDirection: (NSString*) sortDirection
    minCarbs: (NSNumber*) minCarbs
    maxCarbs: (NSNumber*) maxCarbs
    minProtein: (NSNumber*) minProtein
    maxProtein: (NSNumber*) maxProtein
    minCalories: (NSNumber*) minCalories
    maxCalories: (NSNumber*) maxCalories
    minFat: (NSNumber*) minFat
    maxFat: (NSNumber*) maxFat
    minAlcohol: (NSNumber*) minAlcohol
    maxAlcohol: (NSNumber*) maxAlcohol
    minCaffeine: (NSNumber*) minCaffeine
    maxCaffeine: (NSNumber*) maxCaffeine
    minCopper: (NSNumber*) minCopper
    maxCopper: (NSNumber*) maxCopper
    minCalcium: (NSNumber*) minCalcium
    maxCalcium: (NSNumber*) maxCalcium
    minCholine: (NSNumber*) minCholine
    maxCholine: (NSNumber*) maxCholine
    minCholesterol: (NSNumber*) minCholesterol
    maxCholesterol: (NSNumber*) maxCholesterol
    minFluoride: (NSNumber*) minFluoride
    maxFluoride: (NSNumber*) maxFluoride
    minSaturatedFat: (NSNumber*) minSaturatedFat
    maxSaturatedFat: (NSNumber*) maxSaturatedFat
    minVitaminA: (NSNumber*) minVitaminA
    maxVitaminA: (NSNumber*) maxVitaminA
    minVitaminC: (NSNumber*) minVitaminC
    maxVitaminC: (NSNumber*) maxVitaminC
    minVitaminD: (NSNumber*) minVitaminD
    maxVitaminD: (NSNumber*) maxVitaminD
    minVitaminE: (NSNumber*) minVitaminE
    maxVitaminE: (NSNumber*) maxVitaminE
    minVitaminK: (NSNumber*) minVitaminK
    maxVitaminK: (NSNumber*) maxVitaminK
    minVitaminB1: (NSNumber*) minVitaminB1
    maxVitaminB1: (NSNumber*) maxVitaminB1
    minVitaminB2: (NSNumber*) minVitaminB2
    maxVitaminB2: (NSNumber*) maxVitaminB2
    minVitaminB5: (NSNumber*) minVitaminB5
    maxVitaminB5: (NSNumber*) maxVitaminB5
    minVitaminB3: (NSNumber*) minVitaminB3
    maxVitaminB3: (NSNumber*) maxVitaminB3
    minVitaminB6: (NSNumber*) minVitaminB6
    maxVitaminB6: (NSNumber*) maxVitaminB6
    minVitaminB12: (NSNumber*) minVitaminB12
    maxVitaminB12: (NSNumber*) maxVitaminB12
    minFiber: (NSNumber*) minFiber
    maxFiber: (NSNumber*) maxFiber
    minFolate: (NSNumber*) minFolate
    maxFolate: (NSNumber*) maxFolate
    minFolicAcid: (NSNumber*) minFolicAcid
    maxFolicAcid: (NSNumber*) maxFolicAcid
    minIodine: (NSNumber*) minIodine
    maxIodine: (NSNumber*) maxIodine
    minIron: (NSNumber*) minIron
    maxIron: (NSNumber*) maxIron
    minMagnesium: (NSNumber*) minMagnesium
    maxMagnesium: (NSNumber*) maxMagnesium
    minManganese: (NSNumber*) minManganese
    maxManganese: (NSNumber*) maxManganese
    minPhosphorus: (NSNumber*) minPhosphorus
    maxPhosphorus: (NSNumber*) maxPhosphorus
    minPotassium: (NSNumber*) minPotassium
    maxPotassium: (NSNumber*) maxPotassium
    minSelenium: (NSNumber*) minSelenium
    maxSelenium: (NSNumber*) maxSelenium
    minSodium: (NSNumber*) minSodium
    maxSodium: (NSNumber*) maxSodium
    minSugar: (NSNumber*) minSugar
    maxSugar: (NSNumber*) maxSugar
    minZinc: (NSNumber*) minZinc
    maxZinc: (NSNumber*) maxZinc
    offset: (NSNumber*) offset
    number: (NSNumber*) number
    limitLicense: (NSNumber*) limitLicense
    completionHandler: (void (^)(OAISearchRecipes200Response* output, NSError* error)) handler;


/// Search Recipes by Ingredients
///  Ever wondered what recipes you can cook with the ingredients you have in your fridge or pantry? This endpoint lets you find recipes that either maximize the usage of ingredients you have at hand (pre shopping) or minimize the ingredients that you don't currently have (post shopping).         
///
/// @param ingredients A comma-separated list of ingredients that the recipes should contain. (optional)
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// @param limitLicense Whether the recipes should have an open license that allows display with proper attribution. (optional) (default to @(YES))
/// @param ranking Whether to maximize used ingredients (1) or minimize missing ingredients (2) first. (optional)
/// @param ignorePantry Whether to ignore typical pantry items, such as water, salt, flour, etc. (optional) (default to @(NO))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAISearchRecipesByIngredients200ResponseInner>*
-(NSURLSessionTask*) searchRecipesByIngredientsWithIngredients: (NSString*) ingredients
    number: (NSNumber*) number
    limitLicense: (NSNumber*) limitLicense
    ranking: (NSNumber*) ranking
    ignorePantry: (NSNumber*) ignorePantry
    completionHandler: (void (^)(OAISet<OAISearchRecipesByIngredients200ResponseInner>* output, NSError* error)) handler;


/// Search Recipes by Nutrients
/// Find a set of recipes that adhere to the given nutritional limits. You may set limits for macronutrients (calories, protein, fat, and carbohydrate) and/or many micronutrients.
///
/// @param minCarbs The minimum amount of carbohydrates in grams the recipe must have. (optional)
/// @param maxCarbs The maximum amount of carbohydrates in grams the recipe can have. (optional)
/// @param minProtein The minimum amount of protein in grams the recipe must have. (optional)
/// @param maxProtein The maximum amount of protein in grams the recipe can have. (optional)
/// @param minCalories The minimum amount of calories the recipe must have. (optional)
/// @param maxCalories The maximum amount of calories the recipe can have. (optional)
/// @param minFat The minimum amount of fat in grams the recipe must have. (optional)
/// @param maxFat The maximum amount of fat in grams the recipe can have. (optional)
/// @param minAlcohol The minimum amount of alcohol in grams the recipe must have. (optional)
/// @param maxAlcohol The maximum amount of alcohol in grams the recipe can have. (optional)
/// @param minCaffeine The minimum amount of caffeine in milligrams the recipe must have. (optional)
/// @param maxCaffeine The maximum amount of caffeine in milligrams the recipe can have. (optional)
/// @param minCopper The minimum amount of copper in milligrams the recipe must have. (optional)
/// @param maxCopper The maximum amount of copper in milligrams the recipe can have. (optional)
/// @param minCalcium The minimum amount of calcium in milligrams the recipe must have. (optional)
/// @param maxCalcium The maximum amount of calcium in milligrams the recipe can have. (optional)
/// @param minCholine The minimum amount of choline in milligrams the recipe must have. (optional)
/// @param maxCholine The maximum amount of choline in milligrams the recipe can have. (optional)
/// @param minCholesterol The minimum amount of cholesterol in milligrams the recipe must have. (optional)
/// @param maxCholesterol The maximum amount of cholesterol in milligrams the recipe can have. (optional)
/// @param minFluoride The minimum amount of fluoride in milligrams the recipe must have. (optional)
/// @param maxFluoride The maximum amount of fluoride in milligrams the recipe can have. (optional)
/// @param minSaturatedFat The minimum amount of saturated fat in grams the recipe must have. (optional)
/// @param maxSaturatedFat The maximum amount of saturated fat in grams the recipe can have. (optional)
/// @param minVitaminA The minimum amount of Vitamin A in IU the recipe must have. (optional)
/// @param maxVitaminA The maximum amount of Vitamin A in IU the recipe can have. (optional)
/// @param minVitaminC The minimum amount of Vitamin C in milligrams the recipe must have. (optional)
/// @param maxVitaminC The maximum amount of Vitamin C in milligrams the recipe can have. (optional)
/// @param minVitaminD The minimum amount of Vitamin D in micrograms the recipe must have. (optional)
/// @param maxVitaminD The maximum amount of Vitamin D in micrograms the recipe can have. (optional)
/// @param minVitaminE The minimum amount of Vitamin E in milligrams the recipe must have. (optional)
/// @param maxVitaminE The maximum amount of Vitamin E in milligrams the recipe can have. (optional)
/// @param minVitaminK The minimum amount of Vitamin K in micrograms the recipe must have. (optional)
/// @param maxVitaminK The maximum amount of Vitamin K in micrograms the recipe can have. (optional)
/// @param minVitaminB1 The minimum amount of Vitamin B1 in milligrams the recipe must have. (optional)
/// @param maxVitaminB1 The maximum amount of Vitamin B1 in milligrams the recipe can have. (optional)
/// @param minVitaminB2 The minimum amount of Vitamin B2 in milligrams the recipe must have. (optional)
/// @param maxVitaminB2 The maximum amount of Vitamin B2 in milligrams the recipe can have. (optional)
/// @param minVitaminB5 The minimum amount of Vitamin B5 in milligrams the recipe must have. (optional)
/// @param maxVitaminB5 The maximum amount of Vitamin B5 in milligrams the recipe can have. (optional)
/// @param minVitaminB3 The minimum amount of Vitamin B3 in milligrams the recipe must have. (optional)
/// @param maxVitaminB3 The maximum amount of Vitamin B3 in milligrams the recipe can have. (optional)
/// @param minVitaminB6 The minimum amount of Vitamin B6 in milligrams the recipe must have. (optional)
/// @param maxVitaminB6 The maximum amount of Vitamin B6 in milligrams the recipe can have. (optional)
/// @param minVitaminB12 The minimum amount of Vitamin B12 in micrograms the recipe must have. (optional)
/// @param maxVitaminB12 The maximum amount of Vitamin B12 in micrograms the recipe can have. (optional)
/// @param minFiber The minimum amount of fiber in grams the recipe must have. (optional)
/// @param maxFiber The maximum amount of fiber in grams the recipe can have. (optional)
/// @param minFolate The minimum amount of folate in micrograms the recipe must have. (optional)
/// @param maxFolate The maximum amount of folate in micrograms the recipe can have. (optional)
/// @param minFolicAcid The minimum amount of folic acid in micrograms the recipe must have. (optional)
/// @param maxFolicAcid The maximum amount of folic acid in micrograms the recipe can have. (optional)
/// @param minIodine The minimum amount of iodine in micrograms the recipe must have. (optional)
/// @param maxIodine The maximum amount of iodine in micrograms the recipe can have. (optional)
/// @param minIron The minimum amount of iron in milligrams the recipe must have. (optional)
/// @param maxIron The maximum amount of iron in milligrams the recipe can have. (optional)
/// @param minMagnesium The minimum amount of magnesium in milligrams the recipe must have. (optional)
/// @param maxMagnesium The maximum amount of magnesium in milligrams the recipe can have. (optional)
/// @param minManganese The minimum amount of manganese in milligrams the recipe must have. (optional)
/// @param maxManganese The maximum amount of manganese in milligrams the recipe can have. (optional)
/// @param minPhosphorus The minimum amount of phosphorus in milligrams the recipe must have. (optional)
/// @param maxPhosphorus The maximum amount of phosphorus in milligrams the recipe can have. (optional)
/// @param minPotassium The minimum amount of potassium in milligrams the recipe must have. (optional)
/// @param maxPotassium The maximum amount of potassium in milligrams the recipe can have. (optional)
/// @param minSelenium The minimum amount of selenium in micrograms the recipe must have. (optional)
/// @param maxSelenium The maximum amount of selenium in micrograms the recipe can have. (optional)
/// @param minSodium The minimum amount of sodium in milligrams the recipe must have. (optional)
/// @param maxSodium The maximum amount of sodium in milligrams the recipe can have. (optional)
/// @param minSugar The minimum amount of sugar in grams the recipe must have. (optional)
/// @param maxSugar The maximum amount of sugar in grams the recipe can have. (optional)
/// @param minZinc The minimum amount of zinc in milligrams the recipe must have. (optional)
/// @param maxZinc The maximum amount of zinc in milligrams the recipe can have. (optional)
/// @param offset The number of results to skip (between 0 and 900). (optional)
/// @param number The maximum number of items to return (between 1 and 100). Defaults to 10. (optional) (default to @10)
/// @param random If true, every request will give you a random set of recipes within the requested limits. (optional)
/// @param limitLicense Whether the recipes should have an open license that allows display with proper attribution. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISet<OAISearchRecipesByNutrients200ResponseInner>*
-(NSURLSessionTask*) searchRecipesByNutrientsWithMinCarbs: (NSNumber*) minCarbs
    maxCarbs: (NSNumber*) maxCarbs
    minProtein: (NSNumber*) minProtein
    maxProtein: (NSNumber*) maxProtein
    minCalories: (NSNumber*) minCalories
    maxCalories: (NSNumber*) maxCalories
    minFat: (NSNumber*) minFat
    maxFat: (NSNumber*) maxFat
    minAlcohol: (NSNumber*) minAlcohol
    maxAlcohol: (NSNumber*) maxAlcohol
    minCaffeine: (NSNumber*) minCaffeine
    maxCaffeine: (NSNumber*) maxCaffeine
    minCopper: (NSNumber*) minCopper
    maxCopper: (NSNumber*) maxCopper
    minCalcium: (NSNumber*) minCalcium
    maxCalcium: (NSNumber*) maxCalcium
    minCholine: (NSNumber*) minCholine
    maxCholine: (NSNumber*) maxCholine
    minCholesterol: (NSNumber*) minCholesterol
    maxCholesterol: (NSNumber*) maxCholesterol
    minFluoride: (NSNumber*) minFluoride
    maxFluoride: (NSNumber*) maxFluoride
    minSaturatedFat: (NSNumber*) minSaturatedFat
    maxSaturatedFat: (NSNumber*) maxSaturatedFat
    minVitaminA: (NSNumber*) minVitaminA
    maxVitaminA: (NSNumber*) maxVitaminA
    minVitaminC: (NSNumber*) minVitaminC
    maxVitaminC: (NSNumber*) maxVitaminC
    minVitaminD: (NSNumber*) minVitaminD
    maxVitaminD: (NSNumber*) maxVitaminD
    minVitaminE: (NSNumber*) minVitaminE
    maxVitaminE: (NSNumber*) maxVitaminE
    minVitaminK: (NSNumber*) minVitaminK
    maxVitaminK: (NSNumber*) maxVitaminK
    minVitaminB1: (NSNumber*) minVitaminB1
    maxVitaminB1: (NSNumber*) maxVitaminB1
    minVitaminB2: (NSNumber*) minVitaminB2
    maxVitaminB2: (NSNumber*) maxVitaminB2
    minVitaminB5: (NSNumber*) minVitaminB5
    maxVitaminB5: (NSNumber*) maxVitaminB5
    minVitaminB3: (NSNumber*) minVitaminB3
    maxVitaminB3: (NSNumber*) maxVitaminB3
    minVitaminB6: (NSNumber*) minVitaminB6
    maxVitaminB6: (NSNumber*) maxVitaminB6
    minVitaminB12: (NSNumber*) minVitaminB12
    maxVitaminB12: (NSNumber*) maxVitaminB12
    minFiber: (NSNumber*) minFiber
    maxFiber: (NSNumber*) maxFiber
    minFolate: (NSNumber*) minFolate
    maxFolate: (NSNumber*) maxFolate
    minFolicAcid: (NSNumber*) minFolicAcid
    maxFolicAcid: (NSNumber*) maxFolicAcid
    minIodine: (NSNumber*) minIodine
    maxIodine: (NSNumber*) maxIodine
    minIron: (NSNumber*) minIron
    maxIron: (NSNumber*) maxIron
    minMagnesium: (NSNumber*) minMagnesium
    maxMagnesium: (NSNumber*) maxMagnesium
    minManganese: (NSNumber*) minManganese
    maxManganese: (NSNumber*) maxManganese
    minPhosphorus: (NSNumber*) minPhosphorus
    maxPhosphorus: (NSNumber*) maxPhosphorus
    minPotassium: (NSNumber*) minPotassium
    maxPotassium: (NSNumber*) maxPotassium
    minSelenium: (NSNumber*) minSelenium
    maxSelenium: (NSNumber*) maxSelenium
    minSodium: (NSNumber*) minSodium
    maxSodium: (NSNumber*) maxSodium
    minSugar: (NSNumber*) minSugar
    maxSugar: (NSNumber*) maxSugar
    minZinc: (NSNumber*) minZinc
    maxZinc: (NSNumber*) maxZinc
    offset: (NSNumber*) offset
    number: (NSNumber*) number
    random: (NSNumber*) random
    limitLicense: (NSNumber*) limitLicense
    completionHandler: (void (^)(OAISet<OAISearchRecipesByNutrients200ResponseInner>* output, NSError* error)) handler;


/// Summarize Recipe
/// Automatically generate a short description that summarizes key information about the recipe.
///
/// @param _id The item&#39;s id.
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return OAISummarizeRecipe200Response*
-(NSURLSessionTask*) summarizeRecipeWithId: (NSNumber*) _id
    completionHandler: (void (^)(OAISummarizeRecipe200Response* output, NSError* error)) handler;


/// Equipment Widget
/// Visualize the equipment used to make a recipe.
///
/// @param contentType The content type. (optional)
/// @param accept Accept header. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeEquipmentWithContentType: (NSString*) contentType
    accept: (NSString*) accept
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Price Breakdown Widget
/// Visualize the price breakdown of a recipe.
///
/// @param contentType The content type. (optional)
/// @param accept Accept header. (optional)
/// @param language The language of the input. Either &#39;en&#39; or &#39;de&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizePriceBreakdownWithContentType: (NSString*) contentType
    accept: (NSString*) accept
    language: (NSString*) language
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Equipment by ID Widget
/// Visualize a recipe's equipment list.
///
/// @param _id The item&#39;s id.
/// @param defaultCss Whether the default CSS should be added to the response. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeEquipmentByIDWithId: (NSNumber*) _id
    defaultCss: (NSNumber*) defaultCss
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Ingredients by ID Widget
/// Visualize a recipe's ingredient list.
///
/// @param _id The item&#39;s id.
/// @param defaultCss Whether the default CSS should be added to the response. (optional) (default to @(YES))
/// @param measure Whether the the measures should be &#39;us&#39; or &#39;metric&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeIngredientsByIDWithId: (NSNumber*) _id
    defaultCss: (NSNumber*) defaultCss
    measure: (NSString*) measure
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Recipe Nutrition Widget
/// Visualize a recipe's nutritional information as HTML including CSS.
///
/// @param contentType The content type. (optional)
/// @param accept Accept header. (optional)
/// @param language The language of the input. Either &#39;en&#39; or &#39;de&#39;. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeNutritionWithContentType: (NSString*) contentType
    accept: (NSString*) accept
    language: (NSString*) language
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Recipe Nutrition by ID Widget
/// Visualize a recipe's nutritional information as HTML including CSS.
///
/// @param _id The item&#39;s id.
/// @param defaultCss Whether the default CSS should be added to the response. (optional) (default to @(YES))
/// @param accept Accept header. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeNutritionByIDWithId: (NSNumber*) _id
    defaultCss: (NSNumber*) defaultCss
    accept: (NSString*) accept
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Price Breakdown by ID Widget
/// Visualize a recipe's price breakdown.
///
/// @param _id The item&#39;s id.
/// @param defaultCss Whether the default CSS should be added to the response. (optional) (default to @(YES))
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipePriceBreakdownByIDWithId: (NSNumber*) _id
    defaultCss: (NSNumber*) defaultCss
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Recipe Taste Widget
/// Visualize a recipe's taste information as HTML including CSS. You can play around with that endpoint!
///
/// @param language The language of the input. Either &#39;en&#39; or &#39;de&#39;. (optional)
/// @param contentType The content type. (optional)
/// @param accept Accept header. (optional)
/// @param normalize Whether to normalize to the strongest taste. (optional)
/// @param rgb Red, green, blue values for the chart color. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeTasteWithLanguage: (NSString*) language
    contentType: (NSString*) contentType
    accept: (NSString*) accept
    normalize: (NSNumber*) normalize
    rgb: (NSString*) rgb
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Recipe Taste by ID Widget
/// Get a recipe's taste. The tastes supported are sweet, salty, sour, bitter, savory, and fatty.
///
/// @param _id The item&#39;s id.
/// @param normalize Whether to normalize to the strongest taste. (optional) (default to @(YES))
/// @param rgb Red, green, blue values for the chart color. (optional)
/// 
///  code:200 message:"Success",
///  code:401 message:"Unauthorized",
///  code:403 message:"Forbidden",
///  code:404 message:"Not Found"
///
/// @return NSString*
-(NSURLSessionTask*) visualizeRecipeTasteByIDWithId: (NSNumber*) _id
    normalize: (NSNumber*) normalize
    rgb: (NSString*) rgb
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;



@end
